Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.metaabm.act
Enum ABuildNetworkTypes

    java.lang.Object
      java.lang.Enum<ABuildNetworkTypes>
          org.metaabm.act.ABuildNetworkTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ABuildNetworkTypes>, org.eclipse.emf.common.util.Enumerator

    public enum ABuildNetworkTypes

extends java.lang.Enum<ABuildNetworkTypes>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration ' ABuild Network Types', and utility methods for working with them.

Author:
  Miles Parker
See Also:
  `MetaABMActPackage.getABuildNetworkTypes()`

Enum Constant Summary
`ASCII_MATRIX` The 'ASCII Matrix' literal object.
`BARABASI` The 'Barabasi' literal object.
`EPPSTEIN_POWER_LAW` The 'Eppstein Power Law' literal object.
`ERDOS_RENYI` The 'Erdos Renyi' literal object.
`GRAPH_ML` The 'Graph ML' literal object.
`KLEINBERG_SMALL_WORLD` The 'Kleinberg Small World' literal object.
`LATTICE1_D` The 'Lattice1 D' literal object.
`LATTICE2_D` The 'Lattice2 D' literal object.
`PAJEK` The 'Pajek' literal object.
`RANDOM_DENSITY` The 'Random Density' literal object.
`WATTS_SMALL_WORLD` The 'Watts Small World' literal object.

Field Summary
`static int` | `ASCII_MATRIX_VALUE` The 'ASCII Matrix' literal value.
`static int` | `BARABASI_VALUE` The 'Barabasi' literal value.
`static int` | `EPPSTEIN_POWER_LAW_VALUE` The 'Eppstein Power Law' literal value.
`static int` | `ERDOS_RENYI_VALUE` The 'Erdos Renyi' literal value.
`static int` | `GRAPH_ML_VALUE` The 'Graph ML' literal value.
`static int` | `KLEINBERG_SMALL_WORLD_VALUE` The 'Kleinberg Small World' literal value.
`static int` | `LATTICE1_D_VALUE` The 'Lattice1 D' literal value.
`static int` | `LATTICE2_D_VALUE` The 'Lattice2 D' literal value.
`static int` | `PAJEK_VALUE` The 'Pajek' literal value.
`static int` | `RANDOM_DENSITY_VALUE` The 'Random Density' literal value.
`static java.util.List<ABuildNetworkTypes>` | `VALUES` A public read-only list of all the 'ABuild Network Types' enumerators.
`static int` | `WATTS_SMALL_WORLD_VALUE` The 'Watts Small World' literal value.

Method Summary
`static ABuildNetworkTypes` | `get(int value)` Returns the 'ABuild Network Types' literal with the specified integer value.
`static ABuildNetworkTypes` | `get(java.lang.String literal)` Returns the 'ABuild Network Types' literal with the specified literal value.
`static ABuildNetworkTypes` | `getByName(java.lang.String name)` Returns the 'ABuild Network Types' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ABuildNetworkTypes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ABuildNetworkTypes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BARABASI

    public static final ABuildNetworkTypes BARABASI

  The 'Barabasi' literal object.

  See Also:
    `BARABASI_VALUE`

### ERDOS_RENYI

    public static final ABuildNetworkTypes ERDOS_RENYI

  The 'Erdos Renyi' literal object.

  See Also:
    `ERDOS_RENYI_VALUE`

### EPPSTEIN_POWER_LAW

    public static final ABuildNetworkTypes EPPSTEIN_POWER_LAW

  The 'Eppstein Power Law' literal object.

  See Also:
    `EPPSTEIN_POWER_LAW_VALUE`

### GRAPH_ML

    public static final ABuildNetworkTypes GRAPH_ML

  The 'Graph ML' literal object.

  See Also:
    `GRAPH_ML_VALUE`

### KLEINBERG_SMALL_WORLD

    public static final ABuildNetworkTypes KLEINBERG_SMALL_WORLD

  The 'Kleinberg Small World' literal object.

  See Also:
    `KLEINBERG_SMALL_WORLD_VALUE`

### LATTICE1_D

    public static final ABuildNetworkTypes LATTICE1_D

  The 'Lattice1 D' literal object.

  See Also:
    `LATTICE1_D_VALUE`

### LATTICE2_D

    public static final ABuildNetworkTypes LATTICE2_D

  The 'Lattice2 D' literal object.

  See Also:
    `LATTICE2_D_VALUE`

### PAJEK

    public static final ABuildNetworkTypes PAJEK

  The 'Pajek' literal object.

  See Also:
    `PAJEK_VALUE`

### RANDOM_DENSITY

    public static final ABuildNetworkTypes RANDOM_DENSITY

  The 'Random Density' literal object.

  See Also:
    `RANDOM_DENSITY_VALUE`

### WATTS_SMALL_WORLD

    public static final ABuildNetworkTypes WATTS_SMALL_WORLD

  The 'Watts Small World' literal object.

  See Also:
    `WATTS_SMALL_WORLD_VALUE`

### ASCII_MATRIX

    public static final ABuildNetworkTypes ASCII_MATRIX

  The 'ASCII Matrix' literal object.

  See Also:
    `ASCII_MATRIX_VALUE`

Field Detail

### BARABASI_VALUE

    public static final int BARABASI_VALUE

  The 'Barabasi' literal value.

  If the meaning of 'Barabasi' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BARABASI`, Constant Field Values

### ERDOS_RENYI_VALUE

    public static final int ERDOS_RENYI_VALUE

  The 'Erdos Renyi' literal value.

  If the meaning of 'Erdos Renyi' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ERDOS_RENYI`, Constant Field Values

### EPPSTEIN_POWER_LAW_VALUE

    public static final int EPPSTEIN_POWER_LAW_VALUE

  The 'Eppstein Power Law' literal value.

  If the meaning of 'Eppstein Power Law' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EPPSTEIN_POWER_LAW`, Constant Field Values

### GRAPH_ML_VALUE

    public static final int GRAPH_ML_VALUE

  The 'Graph ML' literal value.

  If the meaning of 'Graph ML' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GRAPH_ML`, Constant Field Values

### KLEINBERG_SMALL_WORLD_VALUE

    public static final int KLEINBERG_SMALL_WORLD_VALUE

  The 'Kleinberg Small World' literal value.

  If the meaning of 'Kleinberg Small World' literal object isn't clear, there really should be more of a description here...

  See Also:
    `KLEINBERG_SMALL_WORLD`, Constant Field Values

### LATTICE1_D_VALUE

    public static final int LATTICE1_D_VALUE

  The 'Lattice1 D' literal value.

  If the meaning of 'Lattice1 D' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LATTICE1_D`, Constant Field Values

### LATTICE2_D_VALUE

    public static final int LATTICE2_D_VALUE

  The 'Lattice2 D' literal value.

  If the meaning of 'Lattice2 D' literal object isn't clear, there really should be more of a description here...

  See Also:
    `LATTICE2_D`, Constant Field Values

### PAJEK_VALUE

    public static final int PAJEK_VALUE

  The 'Pajek' literal value.

  If the meaning of 'Pajek' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAJEK`, Constant Field Values

### RANDOM_DENSITY_VALUE

    public static final int RANDOM_DENSITY_VALUE

  The 'Random Density' literal value.

  If the meaning of 'Random Density' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RANDOM_DENSITY`, Constant Field Values

### WATTS_SMALL_WORLD_VALUE

    public static final int WATTS_SMALL_WORLD_VALUE

  The 'Watts Small World' literal value.

  If the meaning of 'Watts Small World' literal object isn't clear, there really should be more of a description here...

  See Also:
    `WATTS_SMALL_WORLD`, Constant Field Values

### ASCII_MATRIX_VALUE

    public static final int ASCII_MATRIX_VALUE

  The 'ASCII Matrix' literal value.

  If the meaning of 'ASCII Matrix' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASCII_MATRIX`, Constant Field Values

### VALUES

    public static final java.util.List<ABuildNetworkTypes> VALUES

  A public read-only list of all the 'ABuild Network Types' enumerators.

Method Detail

### values

    public static ABuildNetworkTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ABuildNetworkTypes c : ABuildNetworkTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ABuildNetworkTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ABuildNetworkTypes get(java.lang.String literal)

  Returns the 'ABuild Network Types' literal with the specified literal value.

### getByName

    public static ABuildNetworkTypes getByName(java.lang.String name)

  Returns the 'ABuild Network Types' literal with the specified name.

### get

    public static ABuildNetworkTypes get(int value)

  Returns the 'ABuild Network Types' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ABuildNetworkTypes>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD